Index: /views/mods/mod_prepayment/order_done.phtml
===================================================================
--- /views/mods/mod_prepayment/order_done.phtml	(revision 8374)
+++ /views/mods/mod_prepayment/order_done.phtml	(revision 8375)
@@ -19,5 +19,5 @@
 <br /><br />
 
-<?php if ( isset($this->view['wpsg_mod_prepayment']['subject']) && ($this->get_option('wpsg_mod_prepayment_qrcode') == true) ) { ?>
+<?php return; if ( isset($this->view['wpsg_mod_prepayment']['subject']) && ($this->get_option('wpsg_mod_prepayment_qrcode') == true) ) { ?>
 
 	<?php require_once WPSG_PATH_LIB.'phpgirocode.class.php'; ?>
@@ -28,5 +28,5 @@
 
 		<?php 
-
+ 
 		try {
 			
@@ -34,5 +34,4 @@
 			$img = $this->callMod('wpsg_mod_prepayment', 'genQRCode', array($this->view['o_id'], $this->view['wpsg_mod_prepayment']['subject'], $this->view['basket']['sum']['preis_gesamt_brutto'], 10, PhpGirocode::OUTPUT_BASE64, $this->get_option('wpsg_mod_prepayment_qrcode_country'), $this->view['basket']));
  		
-			
 		?>
  
@@ -42,5 +41,5 @@
 					<div class="wpsg_mod_prepayment_info_left">
                     <div class="wpsg_mod_prepayment_info_left_qr-download">
-						<h4><?php echo wpsg_translate(__($i['title'], $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__($i['title'], 'wpsg')); ?></h4>
 						<?php if (isset($i['filepath'])) { ?><a title="Downloadlink fÃŒr die QR-Rechnung" target="_blank" href="<?php echo $this->callMod('wpsg_mod_prepayment', 'getFrontendLink', [$i['order_id']]); ?>"><i class="fa fa-download" aria-hidden="true"></i></a><?php } ?>
                     </div>	
@@ -50,9 +49,9 @@
 						<div class="wpsg_mod_prepayment_info_left_wrap">
 							<div class="wpsg_mod_prepayment_info_left_currency">
-								<h4><?php echo wpsg_translate(__('WÃ€hrung', $wpsg)); ?></h4>
+								<h4><?php echo wpsg_translate(__('WÃ€hrung', 'wpsg')); ?></h4>
 								<?php echo $this->get_option('wpsg_currency'); ?>
 							</div>
 							<div class="wpsg_mod_prepayment_info_left_amount">
-								<h4><?php echo wpsg_translate(__('Betrag', $wpsg)); ?></h4>
+								<h4><?php echo wpsg_translate(__('Betrag', 'wpsg')); ?></h4>
 								<?php echo sprintf("%.2f", $i['invoiceAmount']); ?>
 							</div>
@@ -60,5 +59,5 @@
 					</div>
 					<div class="wpsg_mod_prepayment_info_right">
-						<h4><?php echo wpsg_translate(__('Konto / Zahlbar an', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('Konto / Zahlbar an', 'wpsg')); ?></h4>
 						<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_mod_prepayment_iban')); ?><br />
 						<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_mod_prepayment_kinhaber')); ?><br />
@@ -66,10 +65,10 @@
 						<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_shopdata_zip')).' '.$this->replaceUniversalPlatzhalter($this->get_option('wpsg_shopdata_city')); ?><br />
 						<?php if (!empty($i['referenceNumber'])) { ?>
-							<h4><?php echo wpsg_translate(__('Referenz', $wpsg)); ?></h4>
+							<h4><?php echo wpsg_translate(__('Referenz', 'wpsg')); ?></h4>
 							<?php echo $i['referenceNumber']; ?><br />
 						<?php } ?>
-						<h4><?php echo wpsg_translate(__('ZusÃ€tzliche Informationen', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('ZusÃ€tzliche Informationen', 'wpsg')); ?></h4>
 						<?php echo $i['additionalInformation']; ?><br /> 
-						<h4><?php echo wpsg_translate(__('Zahlbar durch', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('Zahlbar durch', 'wpsg')); ?></h4>
 						<?php echo $i['customerdata']['vname'].' '.$i['customerdata']['name']; ?><br />
 						<?php echo $i['customerdata']['strasse'].' '.$i['customerdata']['nr']; ?><br />
@@ -80,5 +79,5 @@
 		</div>
 
-		<?php } catch (\Exception $e) { } ?>
+		<?php } catch (\Exception $e) { wpsg_debug($e); } ?>
 
 	<?php } else if ($this->get_option('wpsg_mod_prepayment_qrcode_country') == '1') { ?>
@@ -99,5 +98,5 @@
 		<div class="wpsg_mod_prepayment_girocode">
 			<div class="wpsg_mod_prepayment_girocode_left" >
-				<h4><?php echo wpsg_translate(__($img['title'], $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__($img['title'], 'wpsg')); ?></h4>
 				<br />
 				<?php echo '<img class="wpsg_mod_prepayment_girocode_left_qrcodeimg" src="data:image/png;base64,'.$img['hash'].'" />'; ?>
@@ -105,9 +104,9 @@
 				<div class="wpsg_mod_prepayment_girocode_left_wrap">
 					<div class="wpsg_mod_prepayment_girocode_left_currency">
-						<h4><?php echo wpsg_translate(__('WÃ€hrung', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('WÃ€hrung', 'wpsg')); ?></h4>
 						<?php echo $this->get_option('wpsg_currency'); ?>
 					</div>
 					<div class="wpsg_mod_prepayment_girocode_left_amount">
-						<h4><?php echo wpsg_translate(__('Betrag', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('Betrag', 'wpsg')); ?></h4>
 						<?php echo sprintf("%.2f", $img['invoiceAmount']); ?>
 					</div>
@@ -115,5 +114,5 @@
 			</div>
 			<div class="wpsg_mod_prepayment_girocode_right">
-				<h4><?php echo wpsg_translate(__('Konto / Zahlbar an', $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__('Konto / Zahlbar an', 'wpsg')); ?></h4>
 				<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_mod_prepayment_iban')); ?><br />
 				<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_mod_prepayment_kinhaber')); ?><br />
@@ -121,10 +120,10 @@
 				<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_shopdata_zip')).' '.$this->replaceUniversalPlatzhalter($this->get_option('wpsg_shopdata_city')); ?><br />
 				<?php if (!empty($img['referenceNumber'])) { ?>
-					<h4><?php echo wpsg_translate(__('Referenz', $wpsg)); ?></h4>
+					<h4><?php echo wpsg_translate(__('Referenz', 'wpsg')); ?></h4>
 					<?php echo $img['referenceNumber']; ?><br />
 				<?php } ?>
-				<h4><?php echo wpsg_translate(__('ZusÃ€tzliche Informationen', $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__('ZusÃ€tzliche Informationen', 'wpsg')); ?></h4>
 				<?php echo $img['additionalInformation']; ?><br /> 
-				<h4><?php echo wpsg_translate(__('Zahlbar durch', $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__('Zahlbar durch', 'wpsg')); ?></h4>
 				<?php echo $img['customerdata']['vname'].' '.$img['customerdata']['name']; ?><br />
 				<?php echo $img['customerdata']['strasse'].' '.$img['customerdata']['nr']; ?><br />
@@ -146,5 +145,5 @@
 		<div class="wpsg_mod_prepayment_qrrechnung">
 			<div class="wpsg_mod_prepayment_qrrechnung_left">
-				<h4><?php echo wpsg_translate(__($img['title'], $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__($img['title'], 'wpsg')); ?></h4>
 				<br />
 				<?php echo '<img class="wpsg_mod_prepayment_qrrechnung_left_qrcodeimg" src="data:image/png;base64,'.$img['hash'].'" />'; ?>
@@ -152,9 +151,9 @@
 				<div class="wpsg_mod_prepayment_qrrechnung_left_wrap">
 					<div class="wpsg_mod_prepayment_qrrechnung_left_currency">
-						<h4><?php echo wpsg_translate(__('WÃ€hrung', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('WÃ€hrung', 'wpsg')); ?></h4>
 						<?php echo $this->get_option('wpsg_currency'); ?>
 					</div>
 					<div class="wpsg_mod_prepayment_qrrechnung_left_amount">
-						<h4><?php echo wpsg_translate(__('Betrag', $wpsg)); ?></h4>
+						<h4><?php echo wpsg_translate(__('Betrag', 'wpsg')); ?></h4>
 						<?php echo sprintf("%.2f", $img['invoiceAmount']); ?>
 					</div>
@@ -162,5 +161,5 @@
 			</div>
 			<div class="wpsg_mod_prepayment_qrrechnung_right">
-				<h4><?php echo wpsg_translate(__('Konto / Zahlbar an', $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__('Konto / Zahlbar an', 'wpsg')); ?></h4>
 				<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_mod_prepayment_iban')); ?><br />
 				<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_mod_prepayment_kinhaber')); ?><br />
@@ -168,10 +167,10 @@
 				<?php echo $this->replaceUniversalPlatzhalter($this->get_option('wpsg_shopdata_zip')).' '.$this->replaceUniversalPlatzhalter($this->get_option('wpsg_shopdata_city')); ?><br />
 				<?php if (!empty($img['referenceNumber'])) { ?>
-					<h4><?php echo wpsg_translate(__('Referenz', $wpsg)); ?></h4>
+					<h4><?php echo wpsg_translate(__('Referenz', 'wpsg')); ?></h4>
 					<?php echo $img['referenceNumber']; ?><br />
 				<?php } ?>
-				<h4><?php echo wpsg_translate(__('ZusÃ€tzliche Informationen', $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__('ZusÃ€tzliche Informationen', 'wpsg')); ?></h4>
 				<?php echo $img['additionalInformation']; ?><br /> 
-				<h4><?php echo wpsg_translate(__('Zahlbar durch', $wpsg)); ?></h4>
+				<h4><?php echo wpsg_translate(__('Zahlbar durch', 'wpsg')); ?></h4>
 				<?php echo $img['customerdata']['vname'].' '.$img['customerdata']['name']; ?><br />
 				<?php echo $img['customerdata']['strasse'].' '.$img['customerdata']['nr']; ?><br />
Index: /views/mods/mod_prepayment/settings_edit.phtml
===================================================================
--- /views/mods/mod_prepayment/settings_edit.phtml	(revision 8374)
+++ /views/mods/mod_prepayment/settings_edit.phtml	(revision 8375)
@@ -9,13 +9,4 @@
 <?php echo wpsg_drawForm_Input('wpsg_mod_prepayment_bezeichnung', __('Bezeichnung', 'wpsg'), $this->get_option('wpsg_mod_prepayment_bezeichnung'), array('help' => 'wpsg_mod_prepayment_bezeichnung')); ?>
 <?php echo wpsg_drawForm_Checkbox('wpsg_mod_prepayment_aktiv', __('Aktiv', 'wpsg'), $this->get_option('wpsg_mod_prepayment_aktiv'), array('help' => 'wpsg_mod_prepayment_aktiv')); ?>
-<?php echo wpsg_drawForm_Checkbox('wpsg_mod_prepayment_qrcode', __('QR-Code anzeigen', 'wpsg'), $this->get_option('wpsg_mod_prepayment_qrcode'), array('help' => 'wpsg_mod_prepayment_qrcode')); ?>
-<div id="wpsg_mod_prepayment_qrcode_options_layer" style="display: none;">
-	<?php echo wpsg_drawForm_Select('wpsg_mod_prepayment_qrcode_country', __('QR-Code fÃŒr', 'wpsg'), Array(
-					wpsg_mod_prepayment::QRCODE_BOTH => __('Beide', 'wpsg'),
-					wpsg_mod_prepayment::QRCODE_EPC => __('Girocode', 'wpsg'),
-					wpsg_mod_prepayment::QRCODE_SWISS => __('QR-Rechnung', 'wpsg')
-				), $this->get_option('wpsg_mod_prepayment_qrcode_country'), array('help' => 'wpsg_mod_prepayment_qrcode_country')); ?>
-	<?php echo wpsg_drawForm_Checkbox('wpsg_mod_prepayment_mailattachment', __('QR-Rechnung an BestellbestÃ€tigung anhÃ€ngen', 'wpsg'), $this->get_option('wpsg_mod_prepayment_mailattachment'), array('help' => 'wpsg_mod_prepayment_mailattachment')); ?>
-</div>
 
 <?php echo wpsg_drawForm_Textarea('wpsg_mod_prepayment_hint', __('Hinweistext', 'wpsg'), $this->get_option('wpsg_mod_prepayment_hint'), array('help' => 'wpsg_mod_prepayment_hint')); ?>
@@ -32,32 +23,2 @@
 <?php echo wpsg_drawForm_Input('wpsg_mod_prepayment_iban', __('IBAN', 'wpsg'), $this->get_option('wpsg_mod_prepayment_iban'), array('help' => 'wpsg_mod_prepayment_iban')); ?>
 <?php echo wpsg_drawForm_Input('wpsg_mod_prepayment_swift', __('BIC-/SWIFT Code', 'wpsg'), $this->get_option('wpsg_mod_prepayment_swift'), array('help' => 'wpsg_mod_prepayment_swift')); ?>
-<?php echo wpsg_drawForm_Input('wpsg_mod_prepayment_qriban', __('QR-IBAN', 'wpsg'), $this->get_option('wpsg_mod_prepayment_qriban'), array('help' => 'wpsg_mod_prepayment_qriban')); ?>
-<?php echo wpsg_drawForm_Input('wpsg_mod_prepayment_besr', __('BESR-ID', 'wpsg'), $this->get_option('wpsg_mod_prepayment_besr'), array('help' => 'wpsg_mod_prepayment_besr')); ?>
-
-<script>
-
-	document.addEventListener("DOMContentLoaded", function() {
-
-		var qrcodeAktiveCheckbox = document.getElementById('wpsg_mod_prepayment_qrcode');
-		var qrcodeSelectDiv = document.getElementById('wpsg_mod_prepayment_qrcode_options_layer');
-
-		
-		function toggleDivVisibility(checkbox, div) 
-		{
-
-			if (checkbox.checked) div.style.display = "block";
-			else div.style.display = "none";
-
-		}
-
-		// Event Listener fÃŒr die Checkboxen
-		qrcodeAktiveCheckbox.addEventListener("change", function() {
-			toggleDivVisibility(qrcodeAktiveCheckbox, qrcodeSelectDiv);
-		});
-
-		// ÃberprÃŒfen und Initialisieren des Anfangszustands der Checkboxen
-		toggleDivVisibility(qrcodeAktiveCheckbox, qrcodeSelectDiv);
-	
-	});
-
-</script>
Index: /views/mods/mod_rechnungen/copymail.phtml
===================================================================
--- /views/mods/mod_rechnungen/copymail.phtml	(revision 8374)
+++ /views/mods/mod_rechnungen/copymail.phtml	(revision 8375)
@@ -1,12 +1,12 @@
 <?php 
-   /*
-    *   Template fÃŒr die Rechnungskopie
-    **/     
 
+	/*
+	 * Template fÃŒr die Rechnungskopie
+	 */
+ 
+	/** @var wpsg_order $oOrder */
+	$oOrder = wpsg_order::getInstance($this->view['order']['id']);
 
-    $arPflicht = $this->loadPflichtFeldDaten();
-    $arTitle = explode('|', $arPflicht['anrede_auswahl']);
-
-?><?php echo wpsg_translate(__('Hallo #1# #2# #3#,', 'wpsg'), @$arTitle[$this->view['basket']['checkout']['title']], $this->view['basket']['checkout']['vname'], $this->view['basket']['checkout']['name']); ?>
+?><?php echo wpsg_translate(__('Hallo #1# #2# #3#,', 'wpsg'), $oOrder->getInvoiceTitle(), $oOrder->getInvoiceFirstName(), $oOrder->getInvoiceName()); ?>
  
 <?php if (isset($this->view['rnr'])) { ?>
